#include "xgfximageloaddef.h"

#include "xgfxtexture.h"

XGfxImageLoadDef::XGfxImageLoadDef()
    : XAsset()
    , mLevelCount(0)
    , mFlags(0)
    , mDimensions(QVector<qint16>(3))
    , mFormat(0)
    , mTexture(new XGfxTexture())
{
    
}

XGfxImageLoadDef::~XGfxImageLoadDef()
{
    delete mTexture;
}

void XGfxImageLoadDef::ParseData(QDataStream *aStream)
{
    
}

void XGfxImageLoadDef::Clear()
{
    mLevelCount = 0;
    mFlags = 0;
    mDimensions = QVector<qint16>(3);
    mFormat = 0;
    mTexture->Clear();
}
